# Monetization

## Overview

Connect enables you to monetize your users' activity in a variety of ways with monetization settings–you are able to define which products your charge your users for and how they are charged. For example:

* Trading Fee Rates: Set a fee rate for all end users or set a particular end user to a unique fee rate
* OTC Trading: Adjust the spread on quotes your end users receive

When you create monetization settings, sFOX will automatically charge the end user when they perform a transaction and store the corresponding fee. Accrued fees will be automatically credited to your sFOX account daily and your will receive a report.

***

## Supported Products & Methods

You can create monetization settings for the following products using any of the supported methods.

<table><thead><tr><th width="219.5703125">Product</th><th>Monetization Methods</th></tr></thead><tbody><tr><td>Spot Trading</td><td>Fee Rate</td></tr><tr><td>OTC Trading</td><td>Fee Rate, Spread Adjustment</td></tr><tr><td>Transfers</td><td>Flat Fee</td></tr><tr><td>Staking <em><mark style="color:yellow;">coming soon</mark></em></td><td>Fee Rate</td></tr><tr><td>Custody <em><mark style="color:yellow;">coming soon</mark></em></td><td>Fee Rate</td></tr></tbody></table>

***

## Permissions

To create a monetization setting for a particular product, you must be granted permission. Permissions will be determined and granted by sFOX. Please contact support regarding permission related questions.

### Get Permissions

You can retrieve your monetization permissions using the following request:

{% content-ref url="/pages/jCyUrd7GrFGRhMiAA6D6" %}
[Get Permissions](/connect/rest-api/monetization/get-permissions.md)
{% endcontent-ref %}

{% hint style="info" %}
All Monetization endpoints will require the Enterprise API Key for authentication.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/connect/rest-api/monetization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
